require("Script.函数.功能函数")
require("Script.函数.模块函数")
require("Script.函数.任务函数")
require("Script.函数.组队剧情任务")
require("Script.函数.剧情任务提交")
require("Script.函数.全局")
require("Script.函数.静态成员")

重新加载("Script.函数.功能函数")
重新加载("Script.函数.模块函数")
重新加载("Script.函数.任务函数")
重新加载("Script.函数.组队剧情任务")
重新加载("Script.函数.剧情任务提交")
重新加载("Script.函数.全局")






function L加载配置()
	
	g常规设置.屏蔽不打的怪物=L常规配置("常规列表-通用设置-屏蔽不打的怪物")
	if	g常规设置.屏蔽不打的怪物==""	then 
		L屏蔽指定怪物("圖貞,羅格,塔尼姆,艾瑪爾,丹尼格,關南,塔尼姆,艾瑪爾")
	else 
		L屏蔽指定怪物("圖貞,羅格,塔尼姆,艾瑪爾,丹尼格,關南,塔尼姆,艾瑪爾,"..g常规设置.屏蔽不打的怪物)
	end
	g常规设置.剧情刷图=L常规配置("常规列表-练级设置-剧情刷图")
	g常规设置.跟随角色=L常规配置("常规列表-练级设置-跟随角色")



	g常规设置.回城等待=L组队配置("组队列表-1-回城等待")

	g常规设置.集合=L组队配置("组队列表-1-集合")

	g常规设置.汇报当前任务=L组队配置("组队列表-1-汇报当前任务")
	g常规设置.原地等待=L组队配置("组队列表-1-原地等待")

	g常规设置.复活跟随=L组队配置("组队列表-1-跟随(小号复活小号)")
	
	g常规设置.直接复活=L组队配置("组队列表-1-直接复活")

	g常规设置.死亡次数超过进行召唤大号=Ltonumber(L组队配置("组队列表-1-死亡次数超过进行召唤大号"))



	g常规设置.仓库页最大读取页数=Ltonumber(L常规配置("常规列表-通用设置-仓库页最大读取页数"))

	g常规设置.公会仓库页最大读取页数=Ltonumber(L常规配置("常规列表-通用设置-公会仓库页最大读取页数"))

	
	L仓库页最大读取页数(g常规设置.仓库页最大读取页数)
	L公会仓库页最大读取页数(g常规设置.公会仓库页最大读取页数)
end



L加载配置()
local 返回一次藏身处=1
local 当前地图名称=""
while	To(200)==1		do 
	local 地图Ptr=L地图信息()
	local szDis="3"
	if	L进入游戏()==0			then --
		L信息("正在进入游戏中....")
		goto Next
	end
	

	if Fn_包满回城()==1		then 
		L信息("剧情城镇物品处理")
		g背包清理状态=0
	end 
	if 地图Ptr.位置~=0		then 
		if	Fn_剧情城镇物品处理()==1			then --
			L信息("剧情城镇物品处理")
			goto Next
		end
	end
	L打开好友列表(30*1000)

	L设置全局坐标(0,0,-1)
	L设置探索地图(探索类型.暂停)
	L当前地图计时(4)
	L地图是否完成(0)
	L跟随拾取开关()
	szDis=L取队长口令参数("gs")
	if szDis~=""		then 
		g跟随距离=tonumber(szDis)
		if g跟随距离==nil 		then --
			g跟随距离=3
		end 
		if g跟随距离<3			then --
			g跟随距离=3
		end 
	end 
	if 地图Ptr.地图等级>=65			then --
		L复活()
	end 

	if L取队长口令(g常规设置.回城等待)==1			then --
		L信息("当前命令: 回城等待")
		if 地图Ptr.位置==0			then --
			L返回城镇(1)
		else 
			执行提交任务()
		end 
	elseif L取队长口令(g常规设置.原地等待)==1			then --
		L信息("当前命令: 原地等待")

		goto Next

	elseif  L取队长口令(g常规设置.集合)==1		then --

		--g跟随距离
		L信息("当前命令: 集合 跟随距离: "..g跟随距离)
		Fn_剧情跟随(1,g跟随距离)
		执行提交任务()

	elseif  L取队长口令(g常规设置.汇报当前任务)==1			then --
		L信息("当前命令: 汇报进度")
		if L执行间隔("打开世界地图",30*1000)==1	then 
			L打开地图()
		end
		执行提交任务(".")
	elseif  L取队长口令(g常规设置.复活跟随)==1	or L取队长口令(g常规设置.直接复活)==1			then --
		if 地图Ptr.地图等级>=65			then --
			L信息("当前命令: 复活 处于异界之中..直接选择立即复活")
			L复活()
			Fn_剧情跟随(1,g跟随距离)
		else 
			L信息("当前命令: 跟随 小号复活小号")
			if L复活队友(2000,1)==1			then --

			else
				Fn_剧情跟随(1,g跟随距离)
				执行提交任务()
			end
		end
	elseif  L取队长口令(g常规设置.直接复活)==1			then --
		L信息("当前命令: 复活")
		L复活()
		Fn_剧情跟随(1,g跟随距离)
	else 
		L信息("当前命令: 休闲 ")
		-- if 地图Ptr.位置~=0			then --

		-- else 
		-- 	Fn_剧情跟随(1,3)
		-- end 

	end
	if Q_领取城镇任务()==1			then --
		goto Next
	end 
	L关闭反击(2)
	L关闭地图探索(1)
	L设置探索地图(探索类型.剧情刷图)
	L设置自动复活(1)
::Next::
	L延时(100)
end

